Subject: bug#5809: 23.1.94; cross-reference by anchor yields in accurate position

From: Juri Linkov <[email-masked]>
Date: Wed, 31 Mar 2010 18:08:04 +0300

>  emacs -Q
>  C-u C-h i /path/to/elisp RET
>  g Handling Errors RET
>
> Now press TAB repeatedly to move point to the "Definition of signal"
> hyperlink, and press RET => you will find yourself in the "Signaling
> Errors" node, but 3 lines above the place where the description of
> `signal' begins.
>
> I see this on GNU/Linux with Texinfo 4.12 and on MS-Windows with
> Texinfo 4.8.  (But I don't think makeinfo is the culprit, see below.)
>
> This is a regression from Emacs 22.3, which behaves as expected.
> Emacs 23.1 has the same problem as the current pretest.  (Both 22.3
> and 23.1 were tested with the same Info files as 23.1.94.)  The trunk
> has the same problem as well.

This is a known side-effect of the breadcrumbs feature.
When you set `Info-breadcrumbs-depth' to 0, everything is ok.

In bug#4147 we tried to put Info breadcrumbs in the header window.

-- 
Juri Linkov
http://www.jurta.org/emacs/